package com.pj.project.tb_business_sort;

import java.util.List;

import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_business_order -- 业务顺序
 * @author qzy 
 */
@RestController
@RequestMapping("/TbBusinessOrder/")
public class TbBusinessSortController {

	/** 底层 Service 对象 */
	@Autowired
	TbBusinessSortService tbBusinessSortService;

	/** 增 */  
	@RequestMapping("add")
	public AjaxJson add(){
		SoMap so = SoMap.getRequestSoMap();
		String addJson=so.getString("addJson");
		tbBusinessSortService.add(addJson);
		return AjaxJson.getSuccess();
	}

	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbBusinessSort.PERMISSION_CODE)
	public AjaxJson update(TbBusinessSort t){
		tbBusinessSortService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
	public AjaxJson getById(Long id){
		TbBusinessSort t = tbBusinessSortService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbBusinessSort> list = tbBusinessSortService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	
	// ------------------------- 前端接口 -------------------------
	
	

	
	
	
	
	

}
